// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the OPENUPS_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// OPENUPS_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef OPENUPS_EXPORTS
#define OPENUPS_API __declspec(dllexport)
#else
#define OPENUPS_API __declspec(dllimport)
#endif

// This class is exported from the OpenUPS.dll

/** UPSOpenDevice - Open UPS via HID (opens fist one if more connected)
* @param timer - timeperiod for requests (millisecond)
*	Example: timer = 1000 will trigger three HID requests at ~300 msecond, ~600 msecond and ~1000 msecond.
*			This value is not accurate - based on Sleep(5) period.
*			It is provided only to finetune a different request period depending on the user's needs.
*/
OPENUPS_API bool UPSOpenDevice(unsigned int timer);
OPENUPS_API void UPSCloseDevice();

OPENUPS_API bool isUPSConnected();
OPENUPS_API float getUPSVIN();
OPENUPS_API float getUPSVBat();
OPENUPS_API float getUPSVOut();
OPENUPS_API float getUPSCCharge();
OPENUPS_API float getUPSCDischarge();
OPENUPS_API float getUPSCIn();
OPENUPS_API float getUPSVCell(int i);
OPENUPS_API float getUPSTemperature();
OPENUPS_API unsigned char getUPSVerMajor();
OPENUPS_API unsigned char getUPSVerMinor();
OPENUPS_API unsigned char getUPSState();

OPENUPS_API unsigned char getUPSYear();
OPENUPS_API unsigned char getUPSMonth();
OPENUPS_API unsigned char getUPSDay();
OPENUPS_API unsigned char getUPSHour();
OPENUPS_API unsigned char getUPSMinute();
OPENUPS_API unsigned char getUPSSecond();
OPENUPS_API unsigned char getUPSRemainingCapacity();

OPENUPS_API float getUPSOutputPower();

